%define anolis_release 1
Name:          gssdp
Version:       1.4.0.1
Release:       %{anolis_release}%{?dist}
Summary:       Resource discovery and announcement over SSDP

License:       LGPLv2+
URL:           http://www.gupnp.org/
Source0:       https://gitlab.gnome.org/GNOME/gssdp/-/archive/%{name}-%{version}/gssdp-gssdp-%{version}.tar.gz

BuildRequires: gi-docgen
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel >= 1.36
BuildRequires: gtk4-devel
BuildRequires: libsoup-devel
BuildRequires: meson
BuildRequires: pkgconfig
BuildRequires: vala >= 0.20

%description
GSSDP implements resource discovery and announcement over SSDP and is part 
of gUPnP.  GUPnP is an object-oriented open source framework for creating 
UPnP devices and control points, written in C using GObject and libsoup. The 
GUPnP API is intended to be easy to use, efficient and flexible.

%package devel
Summary: Development package for gssdp
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with gssdp.

%package utils
Summary: Various GUI utuls for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description utils
This package contains GUI utilies for %{name}.

%package docs
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libgssdp-1.2.so.0*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GSSDP-1.2.typelib

%files devel
%{_includedir}/gssdp-1.2/
%{_libdir}/libgssdp-1.2.so
%{_libdir}/pkgconfig/gssdp-1.2.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GSSDP-1.2.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gssdp*

%files utils
%{_bindir}/gssdp-device-sniffer

%files docs
%{_datadir}/doc/gssdp-1.2/

%changelog
* Fri Apr 08 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.0.1-1
- init from upstream 1.4.0.1
